# ors-root-access

## Check your FPGA version

You can check your FPGA version by doing:

```
root@orsXXX:~# AMARISOFT_INSTALL/trx_sdr/sdr_util version
SDR board utilities version 2023-09-09, Copyright (C) 2012-2023 Amarisoft
=== Device /dev/sdr0 ===
Board ID:         0x4b01 (SDR50)
Board revision:   0x0
FPGA revision:    2021-10-08 15:38:12 (upgrade rev: 2023-06-27)
FPGA status:      operational
FPGA flash:       Infineon/Cypress(32 MB)
Software version: 2023-09-09
DMA:              1 ch, 32 bits, SMem index: Off
DNA:              [0x19296160552233052]
Serial            ''
PCIe bus:         bus=0x01 FPGA PCI gen2 x1 (4.0Gb/s)   OK
```

Please check "Software version" is 2023-09-09

# Upgrade your FPGA

Do not use the ./sdr_util upgrade from Amarisoft, it will not work for ORS.
To upgrade your FPGA, first get the ORS 2023-09-09 bitstream from Rapid.Space, then:

```
root@orsXXX:~/ors-root-access/flash-fpga# ./init.sh
root@orsXXX:~/ors-root-access/flash-fpga# ./upgrade-FPGA.sh
```

Then do a hard reboot by unplugging the ORS and replugging it (make sure not to unplug it from the POE cable)

# Install or upgrade Amarisoft

In order to install or upgrade Amarisoft software on your ORS, please first use
the "patch-amarisoft.sh" script to patch Amarisoft, this script applies two patches:

* kernel PPM patch for the SDR driver
* patch to prevent the Amarisoft install script from upgrading the FPGA (the upgrade-FPGA.sh script should be used instead)

You can use the script directly on the downloaded Amarisoft archive, like this:

root@orsXXX:~/ors-root-access# ./patch-amarisoft.sh amarisoft.2024-10-15.tar.gz
