#!/bin/bash
AMARISOFT="$(realpath $1)"
VERSION="$(echo $(basename $1) | cut -d. -f2)"
DIR="$(dirname $(realpath $0))"
TMP="/tmp/$VERSION-$(date +%s)"
mkdir $TMP
cd $TMP
tar -xzvf $AMARISOFT
cd $VERSION
rm -f *aarch64*
for f in $(ls -1 *linux*.tar.gz); do
  tar -xzvf $f
done
cd trx_sdr-linux-$VERSION
patch -p1 kernel/main.c < $DIR/kernel-ppm.patch
patch -p1 install.sh < $DIR/sdr-install.patch
cd ..
for f in $(ls -1 *linux*.tar.gz); do
  rm -f $f
  tar -czvf $f "$(echo $f | cut -d. -f1)"
  rm -rf "$(echo $f | cut -d. -f1)"
done
cd ..
tar -czvf "$DIR/$(basename $AMARISOFT | cut -d\. -f1-2).patched.tar.gz" $VERSION
rm -rf $TMP
